Modify

Opened 7 years ago

Closed 6 years ago

#7837 closed defect (fixed)

broken minidlna package

Reported by: bman@… Owned by: developers
Priority: normal Milestone: Features Paradise
Component: packages Version: Trunk
Keywords: minidlna Cc:

Description

Current minidlna package in the openwrt package repository has issue with opening video files (notably mkv, avi...). It seems that there is an issue with libffmpeg when scanning video file. Files aren't added to a minidlna library.

Log output:

[2010/08/27 16:23:09] metadata.c:657: warn: Opening /home/storage/video.x264.mkv failed! 
[2010/08/27 16:23:09] scanner.c:503: warn: Unsuccessful getting details for /home/storage/video.x264.mkv!

jpeg files are added just fine.

--

Attachments (3)

libffmpeg_0.5.2-4_ar71xx.ipk (693.7 KB) - added by anonymous 7 years ago.
libffmpeg_0.5.2-4_ar71xx.ipk includes everything
zlib_1.2.5-1_ar71xx.ipk (38.5 KB) - added by anonymous 7 years ago.
zlib_1.2.5-1_ar71xx.ipk to go with libffmpeg
main.inc.php (1.6 KB) - added by Slavon 4 years ago.
http://netipotby.tumblr.com/

Download all attachments as: .zip

Change History (19)

comment:1 Changed 7 years ago by anonymous

Compile yourself libffmepg with all option selected.

comment:2 Changed 7 years ago by jow

Yeah, does not look like a minidlna issue to me.

Its just that "our" ffmpeg is stripped down for size reasons and it does not support Matroska.

comment:4 Changed 7 years ago by ccdoggy

I am wondering if any progress has been made on this lately or is planned?

MiniDLNA is miles better then anything else, just this little hickup is preventing its actual use. I have zero knowledge on compiling but am willing to help however i can to help this along. truly a great program, just needs to be compiled with a working ffmpeg (assuming thats it) to get it working perfectly with all supported file types.

This error happens for ALL videos i have in my library. .avi, .mkv, .vob, .mov, .mpeg... basically is crippling this app.

comment:5 Changed 7 years ago by ccdoggy

my above was for the ar71xx release, not sure if it applies to other builds. (forgot to add that)

comment:6 Changed 7 years ago by ccdoggy

I have compiled my own libffmpeg, which i now understand why its not uploaded with all options enabled because its around 700K (I enabled everything in the options to compile).

How do I install this modified libffmpeg? opkg keeps complaining about a md5-mismatch with the one from the repository.

Is there any possibility of getting the package in the repository with all options enabled with a minidlna compiled with the 'good' ffmpeg?

comment:7 Changed 7 years ago by anonymous

Is FFMPEG-Full going to be added to repositories? at least for routers capable of storing the full app, or have it for routers capable of external FS?

comment:8 Changed 7 years ago by jow

I don't see why not, will see if I can look into it

comment:9 Changed 7 years ago by arokh

@ccdoggy

You can edit /tmp/opkg-lists/snapshots and replace the MD5SUM for libffmpeg before installing. I've done the same thing myself but minidlna still doesn't work even with all relevant options enabled for ffmpeg.

comment:10 follow-up: Changed 7 years ago by anonymous

Ok I got it working. What you need is correct demuxers (I enabled all) and the file protocol in libffmpeg. Works great after that. Now off to recompile openwrt with inotify support so minidlna can avoid full scan every time I add a file...

comment:11 Changed 7 years ago by arokh

Seems like inotify=yes breaks minidlna, it won't listen on any network interfaces... At least I got it working, manual scan is ok for now.

Changed 7 years ago by anonymous

libffmpeg_0.5.2-4_ar71xx.ipk includes everything

Changed 7 years ago by anonymous

zlib_1.2.5-1_ar71xx.ipk to go with libffmpeg

comment:12 Changed 7 years ago by anonymous

I have attached pre-built libffmpeg for ar71xx with the needed zlib package
to install libffmpeg you might need to edit /var/opkg-lists/packages so that the file size and md5 match these files, when installing make sure you use opkg install /path/to/file

comment:13 in reply to: ↑ 10 Changed 7 years ago by mat127

Unfortunately I am unable to avoid this error by enabling all the features within the libffmepg package. After that minidlna is not complaining about getting details for the file, but that the .avi file does not contain any video stream. But that is obviously not true as I ensured that the .avi is can be played directly without the DLNA server without any troubles.

Did you just enable all features shown by the make menuconfig or it is neccessary to do some additional changes directly in the Makefile of ffmpeg to pass some additional options to the configure script?

I have to compile it by myself as I need the brcm47xx target for my Asus router.

comment:14 Changed 7 years ago by arokh

Remove the following lines from the makefile:

--disable-demuxers \
$(FFMPEG_CONFIGURE_DEMUXERS) \

And you have all that's needed.

comment:16 Changed 6 years ago by nico

  • Resolution set to fixed
  • Status changed from new to closed

Should be fixed in [28467], try using libffmeg-full

Changed 4 years ago by Slavon

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.